import React from 'react';
import { cn } from '@bem-react/classname';
import { Skeleton } from '@gravity-ui/uikit';
import { i18n } from '../../../../../i18n/gpt/loading';
import GPTLoading from '../../../../../icons/GPTLoading';
import { IconRefuge } from '../../IconRefuge/IconRefuge';
import './LoadingScreen.css';
export const cnGptDialogLoadingScreen = cn('gpt-dialog-loading-screen');
export const LoadingScreen = () => {
    return (React.createElement("div", { className: cnGptDialogLoadingScreen() },
        React.createElement("div", { className: cnGptDialogLoadingScreen('header') },
            React.createElement(IconRefuge, { containerClassName: cnGptDialogLoadingScreen('icon'), data: GPTLoading, refugeSize: 28, size: 20 }),
            React.createElement("span", { className: cnGptDialogLoadingScreen('text') }, i18n('loading-text'))),
        React.createElement("div", { className: cnGptDialogLoadingScreen('skeleton') },
            React.createElement(Skeleton, { className: cnGptDialogLoadingScreen('skeleton-small-button') }),
            React.createElement(Skeleton, { className: cnGptDialogLoadingScreen('skeleton-medium-button') }))));
};
